#include <qapplication.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qhbox.h>
#include <qvbox.h>
#include <qevent.h>
#include "klasse.h"


MeinWidget::MeinWidget (QWidget *parent=0, const char *name = 0)
  :  QWidget (parent, name)
{
  vb = new QVBox (this);
  vb->setGeometry (10, 10, width () - 20, height () - 20);

  QHBox *hb1 = new QHBox (vb);
  QLabel *l1 = new QLabel ("Hallo11", hb1);
  QLabel *l2 = new QLabel ("Hallo12", hb1);
  QLabel *l3 = new QLabel ("Hallo13", hb1);

  QHBox *hb2 = new QHBox (vb);
  l1 = new QLabel ("Hallo21", hb2);
  l2 = new QLabel ("Hallo22", hb2);
  l3 = new QLabel ("Hallo23", hb2);

  QHBox *hb3 = new QHBox (vb);
  sl = new QLabel ("Hallo31", hb3);
  mp = new QLabel ("Hallo32", hb3);
  l3 = new QLabel ("Hallo33", hb3);
  
  setMouseTracking (TRUE);
}


void MeinWidget::resizeEvent (QResizeEvent *e)
{
  QSize s = e->size ();
  QString t = "Size: " + QString::number (s.width ()) +
    " : " + QString::number (s.height());
  sl->setText (t);
  vb->setGeometry (10, 10, s.width () - 20, s.height () - 20);
}


void MeinWidget::mouseMoveEvent (QMouseEvent *e)
{
  QPoint p = e->pos ();
  QString t = "MausPos: " + QString::number (p.x ()) +
    " : " + QString::number (p.y ());
  mp->setText (t);
}


int main( int argc, char **argv )
{
    QApplication a( argc, argv );
    MeinWidget *hallo = new MeinWidget;
    a.setMainWidget( hallo );
    hallo->setCaption ("Auto - Anordnung und Events");
    hallo->show();
    return a.exec();
}
