#include <qapplication.h>
#include <qwidget.h>
#include <qradiobutton.h>
#include <qbuttongroup.h>
#include <qmessagebox.h>
#include "klasse.moc"

QString texte[3] = {"GPL", "LGPL", "QPL"};


MeinWidget::MeinWidget (QWidget *parent=0, const char *name = 0)
  :  QWidget (parent, name)
{
  QButtonGroup *bg = new QButtonGroup ("Liebste Software-Lizenz", this);
  Q_CHECK_PTR (bg);
  bg->setFrameStyle (QFrame::Panel);
  bg->setGeometry (10, 10, width () - 20, height () - 20);
  
  QRadioButton *r = new QRadioButton (texte[0], bg);
  r->setGeometry (10, 30, 80, 20);
  r = new QRadioButton (texte[1], bg);
  r->setGeometry (10, 50, 80, 20);
  r = new QRadioButton (texte[2], bg);
  r->setGeometry (10, 70, 80, 20);
  connect (bg, SIGNAL (clicked (int)), this, SLOT (vote (int)) );
}


void MeinWidget::vote (int id)
{
  QString s = "Sie moegen die " + texte[id] + " am liebsten.";
  if (id == 2)
    s = s + "\nIch hoffe Sie wissen, da die\n" +
      "QPL GPL-inkompatibel ist!";
  QMessageBox::information (this, "Lizenz", s, "Interessant!");
}


int main( int argc, char **argv )
{
    QApplication a( argc, argv );
    MeinWidget *hallo = new MeinWidget;
    a.setMainWidget( hallo );
    hallo->setCaption ("Wahlhilfe");
    hallo->show();
    return a.exec();
}
